Get shift patterns

This endpoint returns the shift patterns that can be applied to the employees of a service.

GET /api/v1/businesses/{businessId}/services/{serviceId}/time-frame-patterns

If the data included in the request is correct —businessId and serviceId—, the response will be a 200 OK with the information defined for each shift pattern belonging to the requested service and its ancestor nodes.

Response example

[
    {
        "id": "d7d17e3b-3df9-42f5-971f-fb9120d",
        "serviceId": "0001",
        "name": "Fixed"
    },
    {
        "id": "b59260e1-a323-467da-9e25-df23f6d",
        "serviceId": "NODE01",
        "name": "Night"
    },
    {
        "id": "d01e1e08-b2e4-4831-aa3c-ec4e1507",
        "serviceId": "0001",
        "name": "Split"
    }
]
Details
  • id: internal identifier of the pattern. This identifier is automatically generated by the system and cannot be modified.

  • serviceId: external identifier of the service or node in which the pattern was created. If not defined, it cannot be returned in the response.

  • name: name of the pattern.

Considerations

If no shift patterns are defined in the specified service or in any ancestor node, the request will return an empty array [].

Error codes

This endpoint does not return any error codes of its own beyond those described in common errors.

What are shift patterns?

How to retrieve the services of a business? And the nodes?